Index: include/bn.h
===================================================================
--- include/bn.h	(revision 49726)
+++ include/bn.h	(working copy)
@@ -452,7 +452,7 @@
  * Complex numbers
  */
 
-/* "complex number" data type: */
+/** "complex number" data type: */
 typedef struct bn_complex {
     double re;		/**< @brief real part */
     double im;		/**< @brief imaginary part */
@@ -1005,7 +1005,7 @@
 /** @{ */
 
 /* This could be larger, or even dynamic... */
-#define BN_MAX_POLY_DEGREE 4	/* Maximum Poly Order */
+#define BN_MAX_POLY_DEGREE 4	/**< Maximum Poly Order */
 /**
  * Polynomial data type
  * bn_poly->cf[n] corresponds to X^n
@@ -1155,7 +1155,7 @@
 #define BN_RANDHALF(_i) (bn_rand_table[ _i = (_i+1) % BN_RAND_TABSIZE ]-0.5)
 #define BN_RANDHALF_INIT(_p) _p = bn_rand_table
 
-#define BN_RANDHALFTABSIZE 16535	/* Powers of two give streaking */
+#define BN_RANDHALFTABSIZE 16535	/**< Powers of two give streaking */
 BN_EXPORT extern int bn_randhalftabsize;
 BN_EXPORT extern float bn_rand_halftab[BN_RANDHALFTABSIZE];
 
@@ -1521,7 +1521,7 @@
 #define BN_CK_TABLE(_p)	BU_CKMAG(_p, BN_TABLE_MAGIC, "bn_table")
 #define BN_TABLE_NULL	((struct bn_table *)NULL)
 
-/* Gets an bn_table, with x[] having size _nx+1 */
+/** Gets an bn_table, with x[] having size _nx+1 */
 #ifndef NO_BOMBING_MACROS
 #  define BN_GET_TABLE(_table, _nx) { \
 	if ((_nx) < 1)  bu_bomb("RT_GET_TABLE() _nx < 1\n"); \
@@ -1552,7 +1552,7 @@
 #define BN_SIZEOF_TABDATA(_table)	(sizeof(struct bn_tabdata) + \
 					 sizeof(fastf_t)*((_table)->nx-1))
 
-/* Gets an bn_tabdata, with y[] having size _ny */
+/** Gets an bn_tabdata, with y[] having size _ny */
 #define BN_GET_TABDATA(_data, _table) { \
 	BN_CK_TABLE(_table);\
 	_data = (struct bn_tabdata *)bu_calloc(1, \
@@ -1856,35 +1856,35 @@
 
 /* from src/librt/plane.h. */
 
-#define MAXPTS 4			/* All we need are 4 points */
-#define pl_A pl_points[0]		/* Synonym for A point */
+#define MAXPTS 4			/**< @brief All we need are 4 points */
+#define pl_A pl_points[0]		/**< @brief Synonym for A point */
 
 struct plane_specific  {
-    size_t pl_npts;			/* number of points on plane */
-    point_t pl_points[MAXPTS];		/* Actual points on plane */
-    vect_t pl_Xbasis;			/* X (B-A) vector (for 2d coords) */
-    vect_t pl_Ybasis;			/* Y (C-A) vector (for 2d coords) */
-    vect_t pl_N;			/* Unit-length Normal (outward) */
-    fastf_t pl_NdotA;			/* Normal dot A */
-    fastf_t pl_2d_x[MAXPTS];		/* X 2d-projection of points */
-    fastf_t pl_2d_y[MAXPTS];		/* Y 2d-projection of points */
-    fastf_t pl_2d_com[MAXPTS];		/* pre-computed common-term */
-    struct plane_specific *pl_forw;	/* Forward link */
-    char pl_code[MAXPTS+1];		/* Face code string.  Decorative. */
+    size_t pl_npts;			/**< @brief number of points on plane */
+    point_t pl_points[MAXPTS];		/**< @brief Actual points on plane */
+    vect_t pl_Xbasis;			/**< @brief X (B-A) vector (for 2d coords) */
+    vect_t pl_Ybasis;			/**< @brief Y (C-A) vector (for 2d coords) */
+    vect_t pl_N;			/**< @brief Unit-length Normal (outward) */
+    fastf_t pl_NdotA;			/**< @brief Normal dot A */
+    fastf_t pl_2d_x[MAXPTS];		/**< @brief X 2d-projection of points */
+    fastf_t pl_2d_y[MAXPTS];		/**< @brief Y 2d-projection of points */
+    fastf_t pl_2d_com[MAXPTS];		/**< @brief pre-computed common-term */
+    struct plane_specific *pl_forw;	/**< @brief Forward link */
+    char pl_code[MAXPTS+1];		/**< @brief Face code string.  Decorative. */
 };
 
 /*
  * Describe the tri_specific structure.
  */
 struct tri_specific  {
-    point_t tri_A;			/* triangle vertex (A) */
-    vect_t tri_BA;			/* B - A (second point) */
-    vect_t tri_CA;			/* C - A (third point) */
-    vect_t tri_wn;			/* facet normal (non-unit) */
-    vect_t tri_N;			/* unit normal vector */
-    fastf_t *tri_normals;		/* unit vertex normals A, B, C  (this is malloced storage) */
-    int tri_surfno;			/* solid specific surface number */
-    struct tri_specific *tri_forw;	/* Next facet */
+    point_t tri_A;			/**< @brief triangle vertex (A) */
+    vect_t tri_BA;			/**< @brief B - A (second point) */
+    vect_t tri_CA;			/**< @brief C - A (third point) */
+    vect_t tri_wn;			/**< @brief facet normal (non-unit) */
+    vect_t tri_N;			/**< @brief unit normal vector */
+    fastf_t *tri_normals;		/**< @brief unit vertex normals A, B, C  (this is malloced storage) */
+    int tri_surfno;			/**< @brief solid specific surface number */
+    struct tri_specific *tri_forw;	/**< @brief Next facet */
 };
 
 typedef struct tri_specific tri_specific_double;
@@ -1893,14 +1893,14 @@
  * A more memory conservative version
  */
 struct tri_float_specific  {
-    float tri_A[3];			/* triangle vertex (A) */
-    float tri_BA[3];			/* B - A (second point) */
-    float tri_CA[3];			/* C - A (third point) */
-    float tri_wn[3];			/* facet normal (non-unit) */
-    float tri_N[3];			/* unit normal vector */
-    signed char *tri_normals;		/* unit vertex normals A, B, C  (this is malloced storage) */
-    int tri_surfno;			/* solid specific surface number */
-    struct tri_float_specific *tri_forw;/* Next facet */
+    float tri_A[3];			/**< @brief triangle vertex (A) */
+    float tri_BA[3];			/**< @brief B - A (second point) */
+    float tri_CA[3];			/**< @brief C - A (third point) */
+    float tri_wn[3];			/**< @brief facet normal (non-unit) */
+    float tri_N[3];			/**< @brief unit normal vector */
+    signed char *tri_normals;		/**< @brief unit vertex normals A, B, C  (this is malloced storage) */
+    int tri_surfno;			/**< @brief solid specific surface number */
+    struct tri_float_specific *tri_forw;/**< @brief Next facet */
 };
 
 typedef struct tri_float_specific tri_specific_float;
Index: src/libbn/plot3.c
===================================================================
--- src/libbn/plot3.c	(revision 49726)
+++ src/libbn/plot3.c	(working copy)
@@ -73,7 +73,7 @@
 
 static int pl_outputMode = PL_OUTPUT_MODE_BINARY;
 
-/* For the sake of efficiency, we trust putc() to write only one byte */
+/** For the sake of efficiency, we trust putc() to write only one byte */
 /*#define putsi(a)	putc(a&0377, plotfp); putc((a>>8)&0377, plotfp)*/
 #define putsi(a)	putc(a, plotfp); putc((a>>8), plotfp)
 
@@ -239,7 +239,7 @@
  * Here lie the BRL 3-D extensions.
  */
 
-/* Warning: r, g, b are ints.  The output is chars. */
+/** Warning: r, g, b are ints.  The output is chars. */
 void
 pl_color(register FILE *plotfp, int r, int g, int b)
 {
@@ -413,7 +413,7 @@
     }
 }
 
-/* Note: no pd_linmod(), just use pl_linmod() */
+/** Note: no pd_linmod(), just use pl_linmod() */
 
 void
 pd_move(register FILE *plotfp, double x, double y)
Index: src/libbn/msr.c
===================================================================
--- src/libbn/msr.c	(revision 49726)
+++ src/libbn/msr.c	(working copy)
@@ -42,7 +42,7 @@
 /**
  * Note: BN_MSR_MAXTBL must be an even number, preferably a power of two.
  */
-#define	BN_MSR_MAXTBL	4096	/* Size of random number tables. */
+#define	BN_MSR_MAXTBL	4096	/**< Size of random number tables. */
 
 
 /*	bn_unif_init	Initialize a random number structure.
@@ -73,8 +73,8 @@
 #define	A	16807
 #define M	2147483647
 #define DM	2147483647.0
-#define Q	127773		/* Q = M / A */
-#define R	2836		/* R = M % A */
+#define Q	127773		/**< Q = M / A */
+#define R	2836		/**< R = M % A */
 struct bn_unif *
 bn_unif_init(long int setseed, int method)
 {
@@ -94,7 +94,7 @@
     return p;
 }
 
-/*	bn_unif_long_fill	fill a random number table.
+/**	bn_unif_long_fill	fill a random number table.
  *
  * Use the msrad algorithm to fill a random number table
  * with values from 1 to 2^31-1.  These numbers can (and are) extracted from
@@ -156,7 +156,7 @@
     return p->msr_seed;
 }
 
-/*	bn_unif_double_fill	fill a random number table.
+/**	bn_unif_double_fill	fill a random number table.
  *
  * Use the msrad algorithm to fill a random number table
  * with values from -0.5 to 0.5.  These numbers can (and are) extracted from
Index: src/libbn/axis.c
===================================================================
--- src/libbn/axis.c	(revision 49726)
+++ src/libbn/axis.c	(working copy)
@@ -52,9 +52,6 @@
 #define	NUM_YOFF	(3*char_width)	/**< @brief numbers offset from line */
 #define	TITLE_YOFF	(5*char_width)	/**< @brief title offset from line */
 
-/**
- *
- */
 void
 tp_3axis(FILE *fp,		/**< output file */
 	 char *string,		/**< label for axis */
@@ -175,16 +172,16 @@
 
 void
 PL_FORTRAN(f3axis, F3AXIS)(FILE **fp,
-			   char *string /* label for axis */,
-			   float *x, float *y, float *z /* start coordinates for axis */,
-			   float *length /* length of axis */,
-			   float *theta /* rotation off X-axis, in degrees */,
+			   char *string /**< label for axis */,
+			   float *x, float *y, float *z /**< start coordinates for axis */,
+			   float *length /**< length of axis */,
+			   float *theta /**< rotation off X-axis, in degrees */,
 			   int *ccw,
-			   int *ndigits /* # digits wide */,
-			   float *label_start /* minimum value on axis */,
-			   float *label_incr /* increment for each tick */,
-			   float *tick_separation /* distance between ticks */,
-			   float *char_width /* character scale (size) */)
+			   int *ndigits /**< # digits wide */,
+			   float *label_start /**< minimum value on axis */,
+			   float *label_incr /**< increment for each tick */,
+			   float *tick_separation /**< distance between ticks */,
+			   float *char_width /**< character scale (size) */)
 {
     char buf[128];
     mat_t mat;
Index: src/libbn/font.c
===================================================================
--- src/libbn/font.c	(revision 49726)
+++ src/libbn/font.c	(working copy)
@@ -53,11 +53,11 @@
  */
 void
 bn_vlist_3string(struct bu_list *vhead,
-		 struct bu_list *free_hd, /* source of free vlists */
-		 const char *string,    /* string of chars to be plotted */
-		 const vect_t origin,	/* lower left corner of 1st char */
-		 const mat_t rot,	/* Transform matrix (WARNING: may xlate) */
-		 double scale)    	/* scale factor to change 1x1 char sz */
+		 struct bu_list *free_hd, /**< source of free vlists */
+		 const char *string,    /**< string of chars to be plotted */
+		 const vect_t origin,	/**< lower left corner of 1st char */
+		 const mat_t rot,	/**< Transform matrix (WARNING: may xlate) */
+		 double scale)    	/**< scale factor to change 1x1 char sz */
 
 
 {
Index: src/libbn/fortran.c
===================================================================
--- src/libbn/fortran.c	(revision 49726)
+++ src/libbn/fortran.c	(working copy)
@@ -197,7 +197,7 @@
  * Here lie the BRL 3-D extensions.
  */
 
-/* Warning: r, g, b are ints.  The output is chars. */
+/** Warning: r, g, b are ints.  The output is chars. */
 void
 F(icolor, ICOLOR)(FILE **plotfp, int *r, int *g, int *b)
 {
Index: src/libbn/vert_tree.c
===================================================================
--- src/libbn/vert_tree.c	(revision 49726)
+++ src/libbn/vert_tree.c	(working copy)
@@ -55,16 +55,16 @@
  * subtree, others are in the "higher".
  */
 union vert_tree {
-    char type;		/* type - leaf or node */
+    char type;		/**< type - leaf or node */
     struct vert_leaf {
 	char type;
-	int index;	/* index into the array */
+	int index;	/**< index into the array */
     } vleaf;
     struct vert_node {
 	char type;
-	double cut_val; /* cutting value */
-	int coord;	/* cutting coordinate */
-	union vert_tree *higher, *lower;	/* subtrees */
+	double cut_val; /**< cutting value */
+	int coord;	/**< cutting coordinate */
+	union vert_tree *higher, *lower;	/**< subtrees */
     } vnode;
 };
 
Index: src/libbn/plane.c
===================================================================
--- src/libbn/plane.c	(revision 49726)
+++ src/libbn/plane.c	(working copy)
@@ -1571,12 +1571,12 @@
  *		negative. The same occurs for the distance to point q1.
  */
 int
-bn_isect_line3_line3(fastf_t *pdist,        /* see above */
-		     fastf_t *qdist,        /* see above */
-		     const fastf_t *p0,     /* line p start point */
-		     const fastf_t *pdir_i, /* line p direction, must not be unit vector */
-		     const fastf_t *q0,     /* line q start point */
-		     const fastf_t *qdir_i, /* line q direction, must not be unit vector */
+bn_isect_line3_line3(fastf_t *pdist,        /**< see above */
+		     fastf_t *qdist,        /**< see above */
+		     const fastf_t *p0,     /**< line p start point */
+		     const fastf_t *pdir_i, /**< line p direction, must not be unit vector */
+		     const fastf_t *q0,     /**< line q start point */
+		     const fastf_t *qdir_i, /**< line q direction, must not be unit vector */
 		     const struct bn_tol *tol)
 {
     fastf_t b, d, e, sc, tc, sc_numerator, tc_numerator, denominator;
Index: src/libbn/wavelet.c
===================================================================
--- src/libbn/wavelet.c	(revision 49726)
+++ src/libbn/wavelet.c	(working copy)
@@ -157,7 +157,7 @@
 #define decompose_1d(DATATYPE) bn_wlt_haar_1d_ ## DATATYPE ## _decompose
 
 
-/*
+/**
  * DATATYPE *tbuffer;      // temporary buffer
  * DATATYPE *buffer;       // data buffer
  * unsigned long dimen;	   // # of samples in data buffer
Index: src/libbn/list.c
===================================================================
--- src/libbn/list.c	(revision 49726)
+++ src/libbn/list.c	(working copy)
@@ -34,8 +34,8 @@
 #include "plot3.h"
 
 /* Modes for internal flag */
-#define	TP_MARK		1		/* Draw marks */
-#define	TP_LINE		2		/* Draw lines */
+#define	TP_MARK		1		/**< Draw marks */
+#define	TP_LINE		2		/**< Draw lines */
 
 /**
  *			T P _ I 2 L I S T
@@ -100,7 +100,7 @@
 }
 
 
-/*
+/**
  *			T P _ 3 L I S T
  */
 void
Index: src/libbn/mat.c
===================================================================
--- src/libbn/mat.c	(revision 49726)
+++ src/libbn/mat.c	(working copy)
@@ -54,9 +54,6 @@
 const mat_t bn_mat_identity = MAT_INIT_IDN;
 
 
-/**
- *
- */
 void
 bn_mat_print_guts(const char *title,
 		  const mat_t m,
Index: src/libbn/tcl.c
===================================================================
--- src/libbn/tcl.c	(revision 49726)
+++ src/libbn/tcl.c	(working copy)
@@ -699,7 +699,7 @@
 }
 
 
-/*
+/**
  * usage: bn_noise_fbm X Y Z h_val lacunarity octaves
  *
  */
Index: src/libbn/scale.c
===================================================================
--- src/libbn/scale.c	(revision 49726)
+++ src/libbn/scale.c	(working copy)
@@ -191,7 +191,7 @@
 }
 
 
-/*
+/**
  *	FORTRAN Interface
  */
 void
